commit d4c402b5177c51f3e7292da776dcf44a63d05196
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Oct 11 13:29:06 2024 +0100

    libstdc++: Use appropriate feature test macro for std::byte
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/cpp_type_traits.h (__is_byte<byte>): Guard with
            __glibcxx_byte macro instead of checking __cplusplus.
    
    (cherry picked from commit 00a87ee76f47d0fa5a10ef982101cb3c3b8e9c99)

diff --git a/libstdc++-v3/include/bits/cpp_type_traits.h b/libstdc++-v3/include/bits/cpp_type_traits.h
index 0cb482f54b4..ffca0e4563c 100644
--- a/libstdc++-v3/include/bits/cpp_type_traits.h
+++ b/libstdc++-v3/include/bits/cpp_type_traits.h
@@ -35,6 +35,7 @@
 #pragma GCC system_header
 
 #include <bits/c++config.h>
+#include <bits/version.h>
 
 //
 // This file provides some compile-time information about various types.
@@ -447,7 +448,7 @@ __INT_N(__GLIBCXX_TYPE_INT_N_3)
       typedef __true_type __type;
     };
 
-#if __cplusplus >= 201703L
+#ifdef __glibcxx_byte // C++ >= 17
   enum class byte : unsigned char;
 
   template<>

